Attribute VB_Name = "Multi"
'Permet de lire les fichier mp3, wav et mid
Public Declare Function mciSendString Lib "winmm.dll" Alias "mciSendStringA" (ByVal lpstrCommand As String, ByVal lpstrReturnString As String, ByVal uReturnLength As Long, ByVal hwndCallback As Long) As Long
Public Declare Function WritePrivateProfileString Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpString As Any, ByVal lpFileName As String) As Long
Public Declare Function GetWindowsDirectory Lib "kernel32" Alias "GetWindowsDirectoryA" (ByVal lpBuffer As String, ByVal nSize As Long) As Long

Public strFileToPlay As String
Public bPlaying As Boolean
Public lTotalTime As Long
Public SecPlay
Public MinPlay
Public Sub PlaySndFile()
    If strFileToPlay <> "" Then
        mciSendString "play " & strFileToPlay, 0, 0, 0
        bPlaying = True
    End If
End Sub
Public Sub StopSndFile()
    If bPlaying Then
        mciSendString "stop " & strFileToPlay, 0, 0, 0
        bPlaying = False
    End If
End Sub
Public Sub CloseSndFile()
    If bPlaying Then
        mciSendString "close " & strFileToPlay, 0, 0, 0
        bPlaying = False
    End If
End Sub
Public Sub CloseAll()
    mciSendString "close all", 0, 0, 0
    AlarmeStop
End Sub
Public Sub OpenSndFile()
    If strFileToPlay <> "" Then
        mciSendString "open " & strFileToPlay & " type MPEGVideo", 0, 0, 0
    End If
End Sub
Public Sub PauseSndFile()
    If bPlaying Then
        mciSendString "pause " & strFileToPlay, 0, 0, 0
        bPlaying = False
    End If
End Sub
'Calcule la dure du fichier son choisi
Public Function GetThisTime(ByVal timein As Long) As String
    Dim conH As Integer
    Dim conM As Integer
    Dim conS As Integer
    Dim remTime As Long
    Dim strRetTime As String
    
    remTime = timein / 1000
    conH = Int(remTime / 3600)
    remTime = remTime Mod 3600
    conM = Int(remTime / 60)
    remTime = remTime Mod 60
    conS = remTime
    
    If conH > 0 Then
        strRetTime = Trim(Str(conH)) & ":"
    Else
        strRetTime = ""
    End If
    
    If conM >= 10 Then
        strRetTime = strRetTime & Trim(Str(conM))
    ElseIf conM > 0 Then
        strRetTime = strRetTime & "0" & Trim(Str(conM))
    Else
        strRetTime = strRetTime & "00"
    End If
    
    strRetTime = strRetTime & ":"
    
    If conS >= 10 Then
        strRetTime = strRetTime & Trim(Str(conS))
    ElseIf conS > 0 Then
        strRetTime = strRetTime & "0" & Trim(Str(conS))
    Else
        strRetTime = strRetTime & "00"
    End If
    
    GetThisTime = strRetTime
End Function
Public Sub TotalTime()
    Dim TotalTime As String * 128

    mciSendString "set " & strFileToPlay & " time format ms", TotalTime, 128, 0&
    mciSendString "status " & strFileToPlay & " length", TotalTime, 128, 0&

    mciSendString "set " & strFileToPlay & " time format frames", 0&, 0&, 0&
    
    lTotalTime = Val(TotalTime)
End Sub
'affiche la dure du fichier son choisi
Public Sub UpdateScreen()
    Dim s As String * 40
    Dim t As String
    t = GetThisTime(lTotalTime)
    HorP.lblTime.Caption = "Total Time: " & t
End Sub
'affiche le titre du fichier son choisi
Public Sub Titre()
Dim Sla, Nbl, Sign, Nom, Sla1, Nbl1, Sign1, Nom1
Nbl = Len(strFileToPlay)
If Nbl > 98 Then
MsgBox "Votre chemin est trop long, essayez de le rduire ou de rduire le nom du fichier son.!", vbExclamation
    Picture3 = Picture1
    Image12 = Image14
    Image13 = Image16
    Call StopSndFile
    HorP.Timer.Enabled = False
    HorP.Timer5.Enabled = False
        Call CloseSndFile
    HorP.lblTime.Caption = "Total Time: 00:00"
    HorP.Label12.Caption = 0: HorP.Label13.Caption = 0
    Call CloseAll
Exit Sub
End If
For Sla = Nbl To 1 Step -1
Sign = Mid(strFileToPlay, (Nbl - (Nbl - Sla)), 1)
Nom = Sign & Nom
If Sign = "\" Then
Exit For
End If
Next Sla
Nbl1 = Len(Nom)
For Sla1 = 1 To Nbl1
Sign1 = Mid(Nom, (Nbl1 - (Nbl1 - Sla1)), 1)
Nom1 = Nom1 & Sign1
If Sign1 = "." Then
Exit For
End If
Next Sla1
Nom1 = Mid(Nom1, 2, Len(Nom1) - 2)
HorP.Label5.Caption = Nom1
End Sub
'arrt total des fichiers sons
Public Sub AlarmeStop()
CloseSndFile
mciSendString "close all", 0, 0, 0
HorP.lblTime.Caption = "Total Time: 00:00"
HorP.Image12 = HorP.Image14
HorP.Label8.Caption = ""
HorP.Label5.Caption = "VOXCLOCK                               No Sound File Loaded"
End Sub

